set -v
/qos/bin/tc qdisc del dev eth0 root
/qos/bin/tc qdisc add dev eth0 root handle 1: htb default 501
# class 3
/qos/bin/tc class add dev eth0 parent 1: classid 1:3 htb rate 42kbps ceil 512kbps prio 1 
# class 2
/qos/bin/tc class add dev eth0 parent 1: classid 1:23 htb rate 42kbps ceil 512kbps prio 1 
# class 1
/qos/bin/tc class add dev eth0 parent 1: classid 1:10 htb rate 384kbps ceil 512kbps prio 5 
/qos/bin/tc qdisc add dev eth0 parent 1:10 sfq
# class 4
/qos/bin/tc class add dev eth0 parent 1: classid 1:4 htb rate 42kbps ceil 512kbps prio 1 
/qos/bin/tc qdisc add dev eth0 parent 1:4 sfq

# Filter name : SSH Filter
/qos/bin/tc filter add dev eth0 parent 1: protocol ip u32 match ip dst 192.168.1.0 match ip src 0/0 match ip sport 22 0xffff match ip dport 22 0xffff  prio 1  classid  1:4 
/qos/bin/tc filter add dev eth0 parent 1: protocol ip u32 match ip dst 192.168.1.2 match ip src 0/0 match ip sport 22 0xffff match ip dport 22 0xffff  prio 1  classid  1:4 

# Filter name : HTTPS Filter
#     type : fw
